const coreStyles = {
    content: {
        flex: 1,
    },

    container: {
        display: 'flex',
        flexDirection: 'column',
        minHeight: '100vh',
    },

    footer: {
    },

    header: {
    },
};

const getStyles = (contextStyles) => {
    return {
        content: {
            ...coreStyles.content,
            ...contextStyles.content,
        },

        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        footer: {
            ...coreStyles.footer,
            ...contextStyles.footer,
        },

        header: {
            ...coreStyles.header,
            ...contextStyles.header,
        },
    };
};

export default getStyles;
